Index: src/UIElements/Menu/QT4/QTMenu.cpp
===================================================================
--- src/UIElements/Menu/QT4/QTMenu.cpp	(revision 0b2ce98def2d6ab9548ba5ac25acbb2ab5bc233c)
+++ 	(revision )
@@ -1,69 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * QTMenu.cpp
- *
- *  Created on: Jan 15, 2010
- *      Author: crueger
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "Menu/QT4/QTMenu.hpp"
-
-#include <Qt/qaction.h>
-
-#include "Helpers/MemDebug.hpp"
-
-#include "Menu/MenuItem.hpp"
-
-QTMenu::QTMenu(const char * _title) :
-  QMenu(_title)
-{}
-
-QTMenu::~QTMenu()
-{
-  // yay... Just like Mario Bros.
-  for(list<QTMenuPipe*>::iterator it=plumbing.begin(); it != plumbing.end(); it++)
-    delete (*it);
-}
-
-void QTMenu::addItem(MenuItem* item) {
-  const string description = item->getDescription();
-  QAction *action = addAction(QString(description.c_str()));
-  QTMenuPipe *pipe = new QTMenuPipe(item,action);
-  QObject::connect(action, SIGNAL(triggered()),pipe,SLOT(called()));
-  plumbing.push_back(pipe);
-}
-
-void QTMenu::removeItem(MenuItem* item) {
-  list<QTMenuPipe*>::iterator iter;
-  for(iter=plumbing.begin(); iter!=plumbing.end(); iter++){
-    delete (*iter);
-  }
-}
-
-void QTMenu::display() {
-
-}
-
-QTMenuPipe::QTMenuPipe(MenuItem *_item, QAction *_action) :
-    theItem(_item), theAction(_action)
-{}
-
-QTMenuPipe::~QTMenuPipe() {
-  delete theAction;
-  delete theItem;
-}
-
-void QTMenuPipe::called() {
-  theItem->doTrigger();
-}
Index: src/UIElements/Menu/QT4/QTMenu.hpp
===================================================================
--- src/UIElements/Menu/QT4/QTMenu.hpp	(revision 0b2ce98def2d6ab9548ba5ac25acbb2ab5bc233c)
+++ 	(revision )
@@ -1,50 +1,0 @@
-/*
- * QTMenu.hpp
- *
- *  Created on: Jan 15, 2010
- *      Author: crueger
- */
-
-#ifndef QTMENU_HPP_
-#define QTMENU_HPP_
-
-#include <list>
-
-#include <QtGui/QMenu>
-#include <QtCore/QObject>
-
-#include "Menu/Menu.hpp"
-
-class QTMenuPipe;
-
-class QTMenu : public QMenu, public Menu
-{
-  Q_OBJECT
-
-public:
-  QTMenu(const char *);
-  virtual ~QTMenu();
-
-  virtual void addItem(MenuItem*);
-  virtual void removeItem(MenuItem*);
-  virtual void display();
-private:
-  list<QTMenuPipe*> plumbing;
-};
-
-// This handles the plumbing from QT to internal Items
-// Slots from QT are redirected to internal methods.
-// This way methods can be used where no QT is available
-class QTMenuPipe : public QObject {
-  Q_OBJECT
-public:
-  QTMenuPipe(MenuItem*,QAction*);
-  virtual ~QTMenuPipe();
-public slots:
-  void called();
-private:
-  MenuItem *theItem;
-  QAction *theAction;
-};
-
-#endif /* QTMENU_HPP_ */
Index: src/UIElements/Menu/Qt4/QtMenu.cpp
===================================================================
--- src/UIElements/Menu/Qt4/QtMenu.cpp	(revision 4cf323d81658274e55e522306030678b93d2c779)
+++ src/UIElements/Menu/Qt4/QtMenu.cpp	(revision 4cf323d81658274e55e522306030678b93d2c779)
@@ -0,0 +1,69 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * QtMenu.cpp
+ *
+ *  Created on: Jan 15, 2010
+ *      Author: crueger
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "Menu/Qt4/QtMenu.hpp"
+
+#include <Qt/qaction.h>
+
+#include "Helpers/MemDebug.hpp"
+
+#include "Menu/MenuItem.hpp"
+
+QtMenu::QtMenu(const char * _title) :
+  QMenu(_title)
+{}
+
+QtMenu::~QtMenu()
+{
+  // yay... Just like Mario Bros.
+  for(list<QtMenuPipe*>::iterator it=plumbing.begin(); it != plumbing.end(); it++)
+    delete (*it);
+}
+
+void QtMenu::addItem(MenuItem* item) {
+  const string description = item->getDescription();
+  QAction *action = addAction(QString(description.c_str()));
+  QtMenuPipe *pipe = new QtMenuPipe(item,action);
+  QObject::connect(action, SIGNAL(triggered()),pipe,SLOT(called()));
+  plumbing.push_back(pipe);
+}
+
+void QtMenu::removeItem(MenuItem* item) {
+  list<QtMenuPipe*>::iterator iter;
+  for(iter=plumbing.begin(); iter!=plumbing.end(); iter++){
+    delete (*iter);
+  }
+}
+
+void QtMenu::display() {
+
+}
+
+QtMenuPipe::QtMenuPipe(MenuItem *_item, QAction *_action) :
+    theItem(_item), theAction(_action)
+{}
+
+QtMenuPipe::~QtMenuPipe() {
+  delete theAction;
+  delete theItem;
+}
+
+void QtMenuPipe::called() {
+  theItem->doTrigger();
+}
Index: src/UIElements/Menu/Qt4/QtMenu.hpp
===================================================================
--- src/UIElements/Menu/Qt4/QtMenu.hpp	(revision 4cf323d81658274e55e522306030678b93d2c779)
+++ src/UIElements/Menu/Qt4/QtMenu.hpp	(revision 4cf323d81658274e55e522306030678b93d2c779)
@@ -0,0 +1,50 @@
+/*
+ * QtMenu.hpp
+ *
+ *  Created on: Jan 15, 2010
+ *      Author: crueger
+ */
+
+#ifndef QTMENU_HPP_
+#define QTMENU_HPP_
+
+#include <list>
+
+#include <QtGui/QMenu>
+#include <QtCore/QObject>
+
+#include "Menu/Menu.hpp"
+
+class QtMenuPipe;
+
+class QtMenu : public QMenu, public Menu
+{
+  Q_OBJECT
+
+public:
+  QtMenu(const char *);
+  virtual ~QtMenu();
+
+  virtual void addItem(MenuItem*);
+  virtual void removeItem(MenuItem*);
+  virtual void display();
+private:
+  list<QtMenuPipe*> plumbing;
+};
+
+// This handles the plumbing from QT to internal Items
+// Slots from QT are redirected to internal methods.
+// This way methods can be used where no QT is available
+class QtMenuPipe : public QObject {
+  Q_OBJECT
+public:
+  QtMenuPipe(MenuItem*,QAction*);
+  virtual ~QtMenuPipe();
+public slots:
+  void called();
+private:
+  MenuItem *theItem;
+  QAction *theAction;
+};
+
+#endif /* QTMENU_HPP_ */
